Bug 123624 - !!br0ken!! shown after autocorrection and undo
Summary: !!br0ken!! shown after autocorrection and undo
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.1.1 rc
Hardware: All All
: medium normal
Assignee: Mike Kaganski
URL:
Whiteboard: target:6.2.3
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-21 11:54 UTC by Mike Kaganski
Modified: 2019-03-15 10:45 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Kaganski 2019-02-21 11:54:36 UTC
See https://ask.libreoffice.org/en/question/184010

1. Create a new text document
2. Make sure that current input language is en_US
3. Type ":pi:"
=> it auto-corrects to π
4. Press Ctrl+Z to undo auto-correct
5. Press Enter
=> it adds a new paragraph, and auto-corrects :pi: to π again
=> in debug builds, abort() is called at this stage
6. Press Ctrl+Z to undo auto-correct

=> !!br0ken!! is shown instead of :pi:

Tested with Version: 6.2.1.1 (x64)
Build ID: 757c58e8cb70b2982843211a54750fb3cd79acd5
CPU threads: 12; OS: Windows 10.0; UI render: GL; VCL: win; 
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: threaded

and Version: 6.3.0.0.alpha0+ (x64)
Build ID: 6bcb9e1c4ea98dd4e154670495c7f0a2a8ffc0d2
CPU threads: 12; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: threaded
Comment 1 Mike Kaganski 2019-02-21 12:01:02 UTC
https://gerrit.libreoffice.org/68147
Comment 2 Mike Kaganski 2019-02-21 13:12:28 UTC
Fixed in https://git.libreoffice.org/core/+/a1deb4f6f159c1e9cfbde8407399746c1a2ce556 - forgot to tag the change appropriately.
Comment 3 Xisco Faulí 2019-03-14 20:03:49 UTC
Hi Mike,
Thanks for reporting and fixing this issue.
According to the description, it's reproducible in 6.2 branch.
Should it be backported ?
Comment 4 Commit Notification 2019-03-15 10:45:33 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/4309ae909514e219a7e7aa8febced141d1baa83e%5E%21

tdf#123624: Make sure that mark does not exceed the length of the text

It will be available in 6.2.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.